# $Revision: 1.7 $, $Date: 2012/01/15 19:46:03 $
#
# Conditional build:
%bcond_without	tests	# Do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Weather
%define		pnam	Underground
Summary:	Perl extension for retrieving weather information
Summary(pl.UTF-8):	Rozszerzenie Perla do odbierania informacji pogodowych
Name:		perl-Weather-Underground
Version:	3.03
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	c86a4a807263db55ab30e44c98bcdcac
URL:		http://search.cpan.org/dist/Weather-Underground/
BuildRequires:	perl-HTML-TokeParser-Simple
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-libwww
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Perl extension for retrieving weather information from
wunderground.com.

%description -l pl.UTF-8
Rozszerzenie Perla do odbierania informacji pogodowych z
wunderground.com.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Weather
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Weather-Underground.spec,v $
Revision 1.7  2012/01/15 19:46:03  zbyniu
- up to 3.03

Revision 1.6  2008/07/27 22:57:57  arekm
- release 2

Revision 1.5  2008-01-10 08:38:42  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.4  2007-02-13 08:06:38  glen
- tabs in preamble

Revision 1.3  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.2  2005/11/27 01:13:38  qboosh
- formatting, generic URL

Revision 1.1  2005/11/26 10:59:55  charles
- new
